> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/revenue-analytics

> Checks whether a publisher has an analytics integration connected. The other revenue analytics endpoints only return traffic figures when it is



## OpenAPI

````yaml /openapi.json get /v1/report/insight/revenue-analytics
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: AI
  - name: AI/Activity
  - name: Billing
  - name: Billing/Invoice
  - name: Audit Log
  - name: '[IN PROGRESS] Integration'
  - name: '[IN PROGRESS] Integration/Mapping'
  - name: '[IN PROGRESS] User'
  - name: '[IN PROGRESS] User/Account'
  - name: public
paths:
  /v1/report/insight/revenue-analytics:
    get:
      tags:
        - Reporting/Insights Hub/Revenue Analytics
        - public
      summary: /report/insight/revenue-analytics
      description: >-
        Checks whether a publisher has an analytics integration connected. The
        other revenue analytics endpoints only return traffic figures when it is
      parameters:
        - name: uid
          in: query
          description: A single publisher ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                required:
                  - results
                  - success
                properties:
                  results:
                    type: object
                    required:
                      - uid
                      - domain
                      - label
                      - connected
                      - filters
                    properties:
                      uid:
                        type: integer
                      domain:
                        type: string
                      label:
                        type: string
                        nullable: true
                      connected:
                        type: boolean
                      filters:
                        type: object
                        description: >-
                          Active analytics settings for the publisher's
                          integration, or null when none apply or analytics
                          isn't connected
                        properties:
                          rules:
                            type: array
                            description: Traffic filter rules
                            items:
                              type: object
                              properties:
                                dimension:
                                  type: string
                                dimension_label:
                                  type: string
                                match:
                                  type: string
                                match_label:
                                  type: string
                                values:
                                  type: array
                                  items:
                                    type: string
                                property_ids:
                                  type: array
                                  items:
                                    type: string
                          own_domain:
                            type: string
                            description: Domain when domain matching is on
                            nullable: true
                          applied_since:
                            type: string
                            description: YYYY-MM-DD the current settings took effect
                            nullable: true
                          reprocessing:
                            type: boolean
                            description: Stored figures are being reprocessed
                          reprocessed_from:
                            type: string
                            description: YYYY-MM-DD earliest reprocessed day
                            nullable: true
                          can_manage:
                            type: boolean
                            description: User can edit the integration
                        nullable: true
                  success:
                    type: boolean
              example:
                results:
                  uid: 18620
                  domain: example.com
                  label: null
                  connected: true
                  filters:
                    rules:
                      - dimension: sessionSource
                        dimension_label: Session source
                        match: contains
                        match_label: contains
                        values:
                          - example-aggregator.com
                        property_ids: []
                    own_domain: example.com
                    applied_since: '2026-10-13'
                    reprocessing: false
                    reprocessed_from: '2026-07-14'
                    can_manage: true
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.